[almanah] Updated autofoo
- From: Philip Withnall <pwithnall src gnome org>
- To: svn-commits-list gnome org
- Cc:
- Subject: [almanah] Updated autofoo
- Date: Sun, 31 Jan 2010 14:48:08 +0000 (UTC)
commit fa09f7e5fa538706d71a55f5ba6d5793fb6297bc
Author: Philip Withnall <philip tecnocode co uk>
Date: Sun Jan 31 14:47:21 2010 +0000
Updated autofoo
Updated autogen.sh and the magic in configure.ac to use more modern
infrastructure. See: http://live.gnome.org/GnomeGoals/ModernAutotools
autogen.sh | 151 ++-------------------------------------------------------
configure.ac | 16 ++++---
2 files changed, 15 insertions(+), 152 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 9ab346a..160e620 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,156 +4,17 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-DIE=0
-
-if [ -n "$GNOME2_DIR" ]; then
- ACLOCAL_FLAGS="-I $GNOME2_DIR/share/aclocal $ACLOCAL_FLAGS"
- LD_LIBRARY_PATH="$GNOME2_DIR/lib:$LD_LIBRARY_PATH"
- PATH="$GNOME2_DIR/bin:$PATH"
- export PATH
- export LD_LIBRARY_PATH
-fi
+PKG_NAME="almanah"
(test -f $srcdir/configure.ac) || {
echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level package directory"
+ echo " top-level $PKG_NAME directory"
exit 1
}
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`autoconf' installed."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
-}
-
-(grep "^IT_PROG_INTLTOOL" $srcdir/configure.ac >/dev/null) && {
- (intltoolize --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`intltool' installed."
- echo "You can get it from:"
- echo " ftp://ftp.gnome.org/pub/GNOME/"
- DIE=1
- }
-}
-
-(grep "^AM_PROG_XML_I18N_TOOLS" $srcdir/configure.ac >/dev/null) && {
- (xml-i18n-toolize --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`xml-i18n-toolize' installed."
- echo "You can get it from:"
- echo " ftp://ftp.gnome.org/pub/GNOME/"
- DIE=1
- }
-}
-
-(grep "^AM_PROG_LIBTOOL" $srcdir/configure.ac >/dev/null) && {
- (libtool --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`libtool' installed."
- echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
- }
-}
-
-(grep "^AM_GLIB_GNU_GETTEXT" $srcdir/configure.ac >/dev/null) && {
- (grep "sed.*POTFILES" $srcdir/configure.ac) > /dev/null || \
- (glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`glib' installed."
- echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
- DIE=1
- }
-}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: You must have \`automake' installed."
- echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
- NO_AUTOMAKE=yes
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from GNOME git"
+ exit 1
}
-
-# if no automake, don't bother testing for aclocal
-test -n "$NO_AUTOMAKE" || (aclocal --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "**Error**: Missing \`aclocal'. The version of \`automake'"
- echo "installed doesn't appear recent enough."
- echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
-}
-
-if test "$DIE" -eq 1; then
- exit 1
-fi
-
-if test -z "$*"; then
- echo "**Warning**: I am going to run \`configure' with no arguments."
- echo "If you wish to pass any to it, please specify them on the"
- echo \`$0\'" command line."
- echo
-fi
-
-case $CC in
-xlc )
- am_opt=--include-deps;;
-esac
-
-for coin in `find $srcdir -path $srcdir/CVS -prune -o -name configure.ac -print`
-do
- dr=`dirname $coin`
- if test -f $dr/NO-AUTO-GEN; then
- echo skipping $dr -- flagged as no auto-gen
- else
- echo processing $dr
- ( cd $dr
-
- aclocalinclude="$ACLOCAL_FLAGS"
-
- if grep "^AM_GLIB_GNU_GETTEXT" configure.ac >/dev/null; then
- echo "Creating $dr/aclocal.m4 ..."
- test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
- echo "Running glib-gettextize... Ignore non-fatal messages."
- echo "no" | glib-gettextize --force --copy
- echo "Making $dr/aclocal.m4 writable ..."
- test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
- fi
- if grep "^IT_PROG_INTLTOOL" configure.ac >/dev/null; then
- echo "Running intltoolize..."
- intltoolize --copy --force --automake
- fi
- if grep "^AM_PROG_XML_I18N_TOOLS" configure.ac >/dev/null; then
- echo "Running xml-i18n-toolize..."
- xml-i18n-toolize --copy --force --automake
- fi
- if grep "^AM_PROG_LIBTOOL" configure.ac >/dev/null; then
- if test -z "$NO_LIBTOOLIZE" ; then
- echo "Running libtoolize..."
- libtoolize --force --copy
- fi
- fi
- echo "Running aclocal $aclocalinclude ..."
- aclocal $aclocalinclude
- if grep "^AM_CONFIG_HEADER" configure.ac >/dev/null; then
- echo "Running autoheader..."
- autoheader
- fi
- echo "Running automake --gnu $am_opt ..."
- automake --add-missing --gnu $am_opt
- echo "Running autoconf ..."
- autoconf
- )
- fi
-done
-
-conf_flags="--enable-maintainer-mode"
-
-if test x$NOCONFIGURE = x; then
- echo Running $srcdir/configure $conf_flags "$@" ...
- $srcdir/configure $conf_flags "$@" \
- && echo Now type \`make\' to compile. || exit 1
-else
- echo Skipping configure process.
-fi
+REQUIRED_PKG_CONFIG_VERSION=0.17.1 REQUIRED_AUTOMAKE_VERSION=1.9 USE_GNOME2_MACROS=1 . gnome-autogen.sh "$@"
diff --git a/configure.ac b/configure.ac
index 5dbdfaf..80e92d0 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1,8 +1,9 @@
-AC_INIT(almanah, 0.7.1)
+AC_PREREQ(2.63)
+AC_INIT([almanah],[0.7.1],[https://bugzilla.gnome.org/enter_bug.cgi?product=almanah],[almanah],[http://live.gnome.org/Almanah_Diary])
AC_CONFIG_SRCDIR([src/main.h])
AC_CONFIG_HEADERS([config.h])
-AC_GNU_SOURCE
+AC_USE_SYSTEM_EXTENSIONS
AM_INIT_AUTOMAKE([1.9 dist-bzip2 no-dist-gzip check-news subdir-objects])
@@ -17,7 +18,7 @@ IT_PROG_INTLTOOL([0.35.0])
AC_PROG_CXX
AM_PROG_CC_C_O
-AC_PROG_LIBTOOL()
+LT_INIT([])
PKG_PROG_PKG_CONFIG
AM_GCONF_SOURCE_2
@@ -30,7 +31,7 @@ dnl ***************************************************************************
dnl Debugging
AC_ARG_ENABLE([debug],
- AC_HELP_STRING([--enable-debug], [turn on debugging]),
+ AS_HELP_STRING([--enable-debug],[turn on debugging]),
[case "${enableval}" in
yes) debug=true ;;
no) debug=false ;;
@@ -45,7 +46,7 @@ AM_CONDITIONAL([DEBUG], [test x$debug = xtrue])
dnl Encryption support
AC_ARG_ENABLE([encryption],
- AC_HELP_STRING([--enable-encryption], [enable database encryption support]),
+ AS_HELP_STRING([--enable-encryption],[enable database encryption support]),
[case "${enableval}" in
yes) encryption=true ;;
no) encryption=false ;;
@@ -60,7 +61,7 @@ AM_CONDITIONAL([ENCRYPTION], [test x$encryption = xtrue])
dnl Spell checking
AC_ARG_ENABLE([spell-checking],
- AC_HELP_STRING([--enable-spell-checking], [enable spell checking support]),
+ AS_HELP_STRING([--enable-spell-checking],[enable spell checking support]),
[case "${enableval}" in
yes) spell_checking=true ;;
no) spell_checking=false ;;
@@ -149,7 +150,7 @@ fi
AC_SUBST(ENCRYPTION_CFLAGS)
AC_SUBST(ENCRYPTION_LIBS)
-AC_OUTPUT([
+AC_CONFIG_FILES([
Makefile
src/Makefile
po/Makefile.in
@@ -160,3 +161,4 @@ data/icons/22x22/Makefile
data/icons/32x32/Makefile
data/icons/48x48/Makefile
])
+AC_OUTPUT
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]